<?php
 
 
 

namespace PhpWA\Protocol\Proto\Message;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class EventResponseMessage extends \Google\Protobuf\Internal\Message
{
    


    protected $response = null;
    


    protected $timestampMs = null;
    


    protected $extraGuestCount = null;

    










    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getResponse()
    {
        return isset($this->response) ? $this->response : 0;
    }

    public function hasResponse()
    {
        return isset($this->response);
    }

    public function clearResponse()
    {
        unset($this->response);
    }

    




    public function setResponse($var)
    {
        GPBUtil::checkEnum($var, \PhpWA\Protocol\Proto\Message\EventResponseMessage\EventResponseType::class);
        $this->response = $var;

        return $this;
    }

    



    public function getTimestampMs()
    {
        return isset($this->timestampMs) ? $this->timestampMs : 0;
    }

    public function hasTimestampMs()
    {
        return isset($this->timestampMs);
    }

    public function clearTimestampMs()
    {
        unset($this->timestampMs);
    }

    




    public function setTimestampMs($var)
    {
        GPBUtil::checkInt64($var);
        $this->timestampMs = $var;

        return $this;
    }

    



    public function getExtraGuestCount()
    {
        return isset($this->extraGuestCount) ? $this->extraGuestCount : 0;
    }

    public function hasExtraGuestCount()
    {
        return isset($this->extraGuestCount);
    }

    public function clearExtraGuestCount()
    {
        unset($this->extraGuestCount);
    }

    




    public function setExtraGuestCount($var)
    {
        GPBUtil::checkInt32($var);
        $this->extraGuestCount = $var;

        return $this;
    }

}

